| Home | Libraries | People | FAQ | More

#### zlib::inflate_stream

Raw deflate stream decompressor.

##### Synopsis

Defined in header `<boost/beast/zlib/inflate_stream.hpp>`

    class inflate_stream :
        private inflate_stream

##### Member Functions

Name | Description
--- | ---
clear | Put the stream in a newly constructed state.
inflate_stream | Construct a raw deflate decompression stream.
reset | Reset the stream.
write | Decompress input and produce output.

##### Description

This implements a raw deflate stream decompressor. The deflate protocol is a compression protocol described in "DEFLATE Compressed Data Format Specification version 1.3" located here: https://tools.ietf.org/html/rfc1951 The implementation is a refactored port to C++ of ZLib's "inflate". A more detailed description of ZLib is at http://zlib.net/. Compression can be done in a single step if the buffers are large enough (for example if an input file is memory mapped), or can be done by repeated calls of the compression function. In the latter case, the application must provide more input and/or consume the output (providing more output space) before each call.

Convenience header `<boost/beast/zlib.hpp>`